## reaver 1.4

=== src/crypto/Makefile ===
all: libcrypto.a

clean:
	rm -f *~ *.o *.d libcrypto.a

install:
	@echo Nothing to be made.


include ../common/lib.rules

CFLAGS += -DCONFIG_TLS_INTERNAL_CLIENT
CFLAGS += -DCONFIG_TLS_INTERNAL_SERVER
#CFLAGS += -DALL_DH_GROUPS

LIB_OBJS= \
	aes-cbc.o \
	aes-ctr.o \
	aes-eax.o \
	aes-encblock.o \
	aes-internal.o \
	aes-internal-dec.o \
	aes-internal-enc.o \
	aes-omac1.o \
	aes-unwrap.o \
	aes-wrap.o \
	des-internal.o \
	dh_group5.o \
	dh_groups.o \
	md4-internal.o \
	md5.o \
	md5-internal.o \
	md5-non-fips.o \
	milenage.o \
	ms_funcs.o \
	rc4.o \
	sha1.o \
	sha1-internal.o \
	sha1-pbkdf2.o \
	sha1-tlsprf.o \
	sha1-tprf.o \
	sha256.o \
	sha256-internal.o

LIB_OBJS += crypto_internal.o
LIB_OBJS += crypto_internal-cipher.o
LIB_OBJS += crypto_internal-modexp.o
LIB_OBJS += crypto_internal-rsa.o
LIB_OBJS += tls_internal.o
LIB_OBJS += fips_prf_internal.o


libcrypto.a: $(LIB_OBJS)
	$(AR) crT $@ $?

-include $(OBJS:%.o=%.d)

=== src/libwps/Makefile ===
CC=gcc
CFLAGS=-Wall

libwps.o:
	$(CC) $(CFLAGS) libwps.c -c

clean:
	rm -f *.o

=== src/wps/Makefile ===
CC=gcc
INC=-I../utils -I ../

all: wps_attr_build.o wps_attr_parse.o wps_attr_process.o wps.o wps_common.o wps_dev_attr.o wps_enrollee.o wps_registrar.o wps_ufd.o

wps_attr_build.o:
	$(CC) $(INC) wps_attr_build.c -c

wps_attr_parse.o:
	$(CC) $(INC) wps_attr_parse.c -c

wps_attr_process.o:
	$(CC) $(INC) wps_attr_process.c -c

wps.o:
	$(CC) $(INC) wps.c -c

wps_common.o:
	$(CC) $(INC) wps_common.c -c

wps_dev_attr.o:
	$(CC) $(INC) wps_dev_attr.c -c

wps_enrollee.o:
	$(CC) $(INC) wps_enrollee.c -c

wps_registrar.o:
	$(CC) $(INC) wps_registrar.c -c

wps_ufd.o:
	$(CC) $(INC) wps_ufd.c -c

clean:
	rm -f *.o

=== debian/changelog ===
reaver (1.4-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:41:39 +0000

reaver (1.4-2) unstable; urgency=low

  * Added missed copyright notes.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 21 Feb 2012 18:36:48 +0100

reaver (1.4-1) unstable; urgency=low

  * New upstream version.
  * Includes wash binary and some additional README files. 

 -- Bartosz Fenski <fenio@debian.org>  Mon, 13 Feb 2012 07:11:32 +0100

reaver (1.3-1) unstable; urgency=low

  * Initial release (Closes: #653758)

 -- Bartosz Fenski <fenio@debian.org>  Sat, 31 Dec 2011 09:14:38 +0100

=== debian/control ===
Source: reaver
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 8.0.0), libpcap-dev, libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/reaver-wps/

Package: reaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: brute force attack tool against Wifi Protected Setup PIN number
 Reaver performs a brute force attack against an access point's WiFi 
 Protected Setup pin number. 
 Once the WPS pin is found, the WPA PSK can be recovered and alternately 
 the AP's wireless settings can be reconfigured.

=== debian/watch ===
version=3
http://code.google.com/p/reaver-wps/downloads/list?can=1 .*/reaver-wps-(\d[\d\.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## reaver 1.6.5

=== src/Makefile ===
srcdir = .
INSTALL = ./install.sh
MKDIRP = mkdir -p

-include config.mak

LIBWPS_DIR=libwps
INC=-Ilibwps -I. -Ilwe

DISABLED_WARNINGS= \
 -Wno-unused-variable \
 -Wno-unused-function \
 -Wno-pointer-sign

CFLAGS=-DCONF_DIR='"$(CONFDIR)"' $(CFLAGS_USER) $(DISABLED_WARNINGS)
CFLAGS += $(INC)
CFLAGS += -DCONFIG_IPV6

UTILS_OBJS= \
        utils/base64.o \
        utils/common.o \
        utils/ip_addr.o \
        utils/radiotap.o \
        utils/trace.o \
        utils/uuid.o \
        utils/wpa_debug.o \
        utils/wpabuf.o \
	utils/os_unix.o \
	utils/vendor.o \
	utils/eloop.o


WPS_OBJS=wps/wps_attr_build.o wps/wps_attr_parse.o wps/wps_attr_process.o \
wps/wps.o wps/wps_common.o wps/wps_dev_attr.o wps/wps_enrollee.o \
wps/wps_registrar.o wps/wps_ufd.o

LWE_OBJS=lwe/iwlib.o

TLS_OBJS= \
 tls/asn1.o \
 tls/bignum.o \
 tls/pkcs1.o \
 tls/pkcs5.o \
 tls/pkcs8.o \
 tls/rsa.o \
 tls/tlsv1_client.o \
 tls/tlsv1_client_read.o \
 tls/tlsv1_client_write.o \
 tls/tlsv1_common.o \
 tls/tlsv1_cred.o \
 tls/tlsv1_record.o \
 tls/tlsv1_server.o \
 tls/tlsv1_server_read.o \
 tls/tlsv1_server_write.o \
 tls/x509v3.o

CRYPTO_OBJS= \
 crypto/aes-cbc.o \
 crypto/aes-ctr.o \
 crypto/aes-eax.o \
 crypto/aes-encblock.o \
 crypto/aes-internal.o \
 crypto/aes-internal-dec.o \
 crypto/aes-internal-enc.o \
 crypto/aes-omac1.o \
 crypto/aes-unwrap.o \
 crypto/aes-wrap.o \
 crypto/des-internal.o \
 crypto/dh_group5.o \
 crypto/dh_groups.o \
 crypto/md4-internal.o \
 crypto/md5.o \
 crypto/md5-internal.o \
 crypto/milenage.o \
 crypto/ms_funcs.o \
 crypto/rc4.o \
 crypto/sha1.o \
 crypto/sha1-internal.o \
 crypto/sha1-pbkdf2.o \
 crypto/sha1-tlsprf.o \
 crypto/sha1-tprf.o \
 crypto/sha256.o \
 crypto/sha256-internal.o \
 crypto/crypto_internal.o \
 crypto/crypto_internal-cipher.o \
 crypto/crypto_internal-modexp.o \
 crypto/crypto_internal-rsa.o \
 crypto/tls_internal.o \
 crypto/fips_prf_internal.o


LIB_OBJS=libwps/libwps.o $(WPS_OBJS) $(UTILS_OBJS) \
	$(TLS_OBJS) $(CRYPTO_OBJS) $(LWE_OBJS)


PROG_OBJS=argsparser.o globule.o init.o sigint.o iface.o sigalrm.o \
 misc.o cracker.o session.o send.o pins.o 80211.o exchange.o builder.o \
 keys.o crc.o pixie.o wpscrack.o wpsmon.o main.o version.o

# Version of the Wireless Tools
WT_VERSION := $(shell sed -ne "/WT_VERSION/{s:\([^0-9]*\)::;p;q;}" < lwe/iwlib.h )
# Version of Wireless Extensions.
WE_VERSION := $(shell sed -ne "/WE_VERSION/{s:\([^0-9]*\)::;p;q;}" < lwe/iwlib.h )
# Always use local header for wireless extensions
WEXT_HEADER = lwe/wireless.$(WE_VERSION).h

GENH = lwe/wireless.h version.h

all: wash reaver

$(WPS_OBJS): CFLAGS+=-I. -Iutils
$(TLS_OBJS): CFLAGS += -I. -Iutils -DCONFIG_INTERNAL_LIBTOMMATH -DCONFIG_CRYPTO_INTERNAL
$(CRYPTO_OBJS): CFLAGS += -I. -Iutils -DCONFIG_TLS_INTERNAL_CLIENT \
 -DCONFIG_TLS_INTERNAL_SERVER -fno-strict-aliasing


wash: reaver
	ln -sf ./reaver wash

reaver: $(PROG_OBJS) $(LIB_OBJS)
	$(CC) $(CFLAGS) $(INC) $(PROG_OBJS) $(LIB_OBJS) $(LDFLAGS) -o reaver

version.o: version.h
version.h: $(wildcard $(srcdir)/VERSION $(srcdir)/../.git)
	printf '#define R_VERSION "%s"\n' "$$(cd $(srcdir); sh version.sh)"  > $@

lwe/wireless.h: $(WEXT_HEADER)
	cp $(WEXT_HEADER) lwe/wireless.h

$(PROG_OBJS) $(LWE_OBJS): lwe/wireless.h

install: wash reaver
	$(INSTALL) -D -m 755 wash $(DESTDIR)$(exec_prefix)/bin/wash
	$(INSTALL) -D -m 755 reaver $(DESTDIR)$(exec_prefix)/bin/reaver
	@# create directory used to store *.wpc files;
	@# if not found defaults to "." i.e. current dir
	$(MKDIRP) $(DESTDIR)$(CONFDIR)

clean:
	rm -f reaver wash
	rm -f $(LIB_OBJS) $(PROG_OBJS)
	rm -f $(GENH)

distclean: clean
	rm -rf $(CONFDIR)

.PHONY: all clean distclean install

=== src/tls/Makefile ===
all: libtls.a

clean:
	rm -f *~ *.o *.d libtls.a

install:
	@echo Nothing to be made.


include ../common/lib.rules

CFLAGS += -DCONFIG_INTERNAL_LIBTOMMATH
CFLAGS += -DCONFIG_CRYPTO_INTERNAL

LIB_OBJS= \
	asn1.o \
	bignum.o \
	pkcs1.o \
	pkcs5.o \
	pkcs8.o \
	rsa.o \
	tlsv1_client.o \
	tlsv1_client_read.o \
	tlsv1_client_write.o \
	tlsv1_common.o \
	tlsv1_cred.o \
	tlsv1_record.o \
	tlsv1_server.o \
	tlsv1_server_read.o \
	tlsv1_server_write.o \
	x509v3.o


libtls.a: $(LIB_OBJS)
	$(AR) crT $@ $?

-include $(OBJS:%.o=%.d)

=== debian/changelog ===
reaver (1.6.5-1) unstable; urgency=low

  * New upstream (forked) version (Closes: #898899)
  * Conf dir moved to /var/lib/reaver 
    It's now also created during install (Closes: #720516, #720530)
  * Manpage should be up-to-date (Closes: #742170)
  * Bunch of changes to make lintian happy, standards-version up-to-date,
    and in general refresh package after 6 years of stagnation.

 -- Bartosz Fenski <fenio@debian.org>  Thu, 17 May 2018 11:35:41 +0200

=== debian/control ===
Source: reaver
Section: net
Priority: optional
Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper (>= 9.0.0), libpcap-dev, libsqlite3-dev
Standards-Version: 4.1.4
Homepage: https://github.com/t6x/reaver-wps-fork-t6x

Package: reaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pixiewps
Suggests: aircrack-ng
Description: brute force attack tool against Wifi Protected Setup PIN number
 Reaver performs a brute force attack against an access point's WiFi 
 Protected Setup pin number. 
 Once the WPS pin is found, the WPA PSK can be recovered and alternately 
 the AP's wireless settings can be reconfigured.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
uversionmangle=s{_}{.}g,\
 https://github.com/t6x/reaver-wps-fork-t6x/releases \
 .*/archive/(?:v?|reaver-(\d[\d\._]+)\.tar\.xz

## reaver 1.6.6

=== src/Makefile ===
--- 
+++ 
@@ -93,9 +93,11 @@
 	$(TLS_OBJS) $(CRYPTO_OBJS) $(LWE_OBJS)
 
 
-PROG_OBJS=argsparser.o globule.o init.o sigint.o iface.o sigalrm.o \
- misc.o cracker.o session.o send.o pins.o 80211.o exchange.o builder.o \
- keys.o crc.o pixie.o wpscrack.o wpsmon.o main.o version.o
+MAIN_OBJS=globule.o init.o sigint.o iface.o sigalrm.o \
+ misc.o session.o send.o pins.o 80211.o builder.o \
+ keys.o crc.o pixie.o version.o pcapfile.o
+
+PROG_OBJS=$(MAIN_OBJS) exchange.o argsparser.o wpscrack.o wpsmon.o cracker.o main.o
 
 # Version of the Wireless Tools
 WT_VERSION := $(shell sed -ne "/WT_VERSION/{s:\([^0-9]*\)::;p;q;}" < lwe/iwlib.h )
@@ -118,7 +120,12 @@
 	ln -sf ./reaver wash
 
 reaver: $(PROG_OBJS) $(LIB_OBJS)
-	$(CC) $(CFLAGS) $(INC) $(PROG_OBJS) $(LIB_OBJS) $(LDFLAGS) -o reaver
+	$(CC) $(CFLAGS) $(INC) $(PROG_OBJS) $(LIB_OBJS) $(LDFLAGS) -lpthread -o reaver
+
+extest.o: exchange.c
+	$(CC) $(CFLAGS) -g3 -O0 -DEX_TEST -c exchange.c -o extest.o
+extest: extest.o $(LIB_OBJS) $(MAIN_OBJS)
+	$(CC) $(LIB_OBJS) extest.o $(MAIN_OBJS) $(LDFLAGS) -o extest
 
 version.o: version.h
 version.h: $(wildcard $(srcdir)/VERSION $(srcdir)/../.git)
@@ -141,8 +148,5 @@
 	rm -f $(LIB_OBJS) $(PROG_OBJS)
 	rm -f $(GENH)
 
-distclean: clean
-	rm -rf $(CONFDIR)
+.PHONY: all clean install
 
-.PHONY: all clean distclean install
-

=== debian/changelog ===
reaver (1.6.6-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:28:01 +1100

reaver (1.6.6-2build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:02:41 +0100

reaver (1.6.6-2) unstable; urgency=medium

  * d/control: Change Vcs-Git and Vcs-Browser.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Fri, 01 Sep 2023 09:03:12 -0300

reaver (1.6.6-1) unstable; urgency=medium

  * New maintainer (change to Debian Security Tools Team). (Closes: #1040625)
  * d/control:
    - Set uploaders to Bartosz Fenski, Leandro Cunha and Samuel Henrique.
    - Update debhelper-compat to 13, this causes d/compat removal.
    - Bump Standards-Version to 4.6.2.
    - Set Vcs-Git and Vcs-Browser to Salsa repository with d/salsa-ci.yml.
    - Fix Lintian report change WiFi to Wi-Fi in description.
    - Set Rules-Requires-Root: no in the source stanza.
    - Declare Wash binary in description.
  * d/copyright:
    - Fix copyright format URI with HTTPS.
    - Add myself.
    - Change upstream name to reaver-wps-fork-t6x.
    - Update license files (fix Lintian warn).
    - Add public-domain license text.
    - Change BSD-3-clause license text.
    - Change GPL-2 license text and set GPL-2. No GPL-2 or later.
  * d/upstream/metadata created.
  * Fix Lintian report trailing whitespace in d/control, d/rules and
    d/changelog.
  * d/rules:
    - Export DEB_BUILD_MAINT_OPTIONS (fix Lintian and BLHC reports):
      - See https://wiki.debian.org/Hardening.
    - Remove override_dh_auto_install.
    - Add execute_after_dh_auto_clean for remove files generated during build:
      - Fix fails to build source after successful build. (Closes: #1046889)

 -- Leandro Cunha <leandrocunha016@gmail.com>  Mon, 28 Aug 2023 05:49:09 -0300

reaver (1.6.6-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream version.
  * debian/watch:
    - Fix watch file is broken and generating errors. (Closes: #901595)
    - Change version of 3 to 4.
  * Fix segmentation fault. (Closes: #1036591)

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sat, 27 May 2023 14:24:29 -0300

=== debian/control ===
Source: reaver
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Bartosz Fenski <fenio@debian.org>,
 Leandro Cunha <leandrocunha016@gmail.com>,
 Samuel Henrique <samueloph@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libpcap-dev,
 libsqlite3-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/t6x/reaver-wps-fork-t6x
Vcs-Git: https://salsa.debian.org/pkg-security-team/reaver.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/reaver

Package: reaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pixiewps
Suggests: aircrack-ng
Description: brute force attack tool against Wi-Fi Protected Setup PIN number
 Reaver performs a brute force attack against an access point's Wi-Fi
 Protected Setup pin number.
 Once the WPS pin is found, the WPA PSK can be recovered and alternately
 the AP's wireless settings can be reconfigured.
 This package also provides the Wash executable, an utility for identifying WPS
 enabled access points. See documentation in /usr/share/doc/reaver/README.WASH.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/t6x/reaver-wps-fork-t6x/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## reaver 1.6.6+git20220211.1.4091bf2

=== src/Makefile ===
--- 
+++ 
@@ -120,7 +120,7 @@
 	ln -sf ./reaver wash
 
 reaver: $(PROG_OBJS) $(LIB_OBJS)
-	$(CC) $(CFLAGS) $(INC) $(PROG_OBJS) $(LIB_OBJS) $(LDFLAGS) -lpthread -o reaver
+	$(CC) $(CFLAGS) $(INC) $(PROG_OBJS) $(LIB_OBJS) $(LDFLAGS) -lpthread -lrt -o reaver
 
 extest.o: exchange.c
 	$(CC) $(CFLAGS) -g3 -O0 -DEX_TEST -c exchange.c -o extest.o

=== debian/changelog ===
reaver (1.6.6+git20220211.1.4091bf2-0kali1~jan+nus4) kali-bleeding-edge; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Thu, 22 Dec 2022 11:59:05 -0000

reaver (1.6.6-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * New upstream version 1.6.6
  * Use debhelper-compat 12
  * Bump Standards-Version to 4.5.0
  * Update Vcs fields

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Apr 2020 10:48:19 +0200

reaver (1.6.5-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 May 2018 09:13:35 +0200

reaver (1.6.4-0kali1) kali-dev; urgency=medium

  * Upstream version

 -- Mati Aharoni <muts@kali.org>  Thu, 18 Jan 2018 18:18:42 -0500

reaver (1.6.3-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Nov 2017 12:13:43 +0100

reaver (1.6.2-0kali1) kali-dev; urgency=medium

  * Import new usptream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Sep 2017 06:58:53 +0200

reaver (1.6.1+git20170715-0kali1) kali-dev; urgency=medium

  * Import snapshot from git

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Jul 2017 14:55:36 +0200

reaver (1.6.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 30 Jun 2017 13:59:22 +0200

reaver (1.6b-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Jun 2017 15:46:18 +0200

reaver (1.5.3+git20170413-0kali2) kali-dev; urgency=medium

  * Desactivate parallel build

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 14 Apr 2017 09:27:32 +0200

reaver (1.5.3+git20170413-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Apr 2017 16:09:31 +0200

reaver (1.5.2.1-1kali2) kali-dev; urgency=medium

  * Add a debian/watch
  * Update the Homepage and Source in debian/copyright and debian/control

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 10 Jul 2015 18:05:07 +0200

reaver (1.5.2.1-1kali1) kali; urgency=low

  * Upstream import
  * Inlcudes the parsing fix required with pixiewps 1.1

 -- Mati Aharoni <muts@kali.org>  Mon, 04 May 2015 05:42:11 -0400

reaver (1.5.2-1kali2) kali; urgency=low

  * Added pixiewps as a dependency

 -- Mati Aharoni <muts@kali.org>  Thu, 30 Apr 2015 04:43:57 -0400

reaver (1.5.2-1kali1) kali; urgency=low

  * Upstream update

 -- Mati Aharoni <muts@kali.org>  Thu, 30 Apr 2015 04:09:40 -0400

reaver (1.4-2kali10) kali; urgency=low

  * Added verbosity patch

 -- Mati Aharoni <muts@kali.org>  Wed, 08 Apr 2015 10:14:49 -0400

reaver (1.4-2kali9) kali; urgency=low

  * Added watch file (Closes: 0000883)

 -- Devon Kearns <dookie@kali.org>  Thu, 09 Jan 2014 15:03:44 -0700

reaver (1.4-2kali8) kali; urgency=low

  * Added watch file (Closes: 0000883)

 -- Devon Kearns <dookie@kali.org>  Thu, 09 Jan 2014 14:37:39 -0700

reaver (1.4-2kali7) kali; urgency=low

  * Created a dirs file to make the etc/reaver directory

 -- Devon Kearns <dookie@kali.org>  Fri, 09 Aug 2013 11:38:26 -0600

reaver (1.4-2kali6) kali; urgency=low

  * Patches added, see BugIDs 356, 357
  * I jumped to 1.4-2kali6 since in the repo 1.4-2kali4 was already present
    (to avoid conflicts)

 -- Emanuele Acri <crossbower@kali.org>  Sat, 25 May 2013 22:26:19 +0200

reaver (1.4-2kali3) kali; urgency=low

  * Reaver patch added, as per BugID 123.

 -- Mati Aharoni <muts@kali.org>  Tue, 19 Mar 2013 06:35:53 -0400

reaver (1.4-2kali2) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 14:19:23 -0500

reaver (1.4-2kali1) kali; urgency=low

  * Kali version with desktop files

 -- Devon Kearns <dookie@kali.org>  Tue, 27 Nov 2012 12:17:18 -0700

=== debian/control ===
Source: reaver
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>
XSBC-Original-Maintainer: Bartosz Fenski <fenio@debian.org>
Build-Depends: debhelper-compat (= 12), libpcap-dev, libsqlite3-dev
Standards-Version: 4.6.1
Homepage: https://github.com/t6x/reaver-wps-fork-t6x
XS-Debian-Vcs-Git: n/a
XS-Debian-Vcs-Browser: n/a
Vcs-Git: https://gitlab.com/kalilinux/packages/reaver.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/reaver

Package: reaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pixiewps, aircrack-ng
Description: brute force attack tool against Wifi Protected Setup PIN number
 Reaver performs a brute force attack against an access point's WiFi
 Protected Setup pin number.
 Once the WPS pin is found, the WPA PSK can be recovered and alternately
 the AP's wireless settings can be reconfigured.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --no-parallel

#override_dh_auto_install:

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*)?v?(\d.*)\.tar\.gz/reaver-$1.tar.gz/ https://github.com/t6x/reaver-wps-fork-t6x/tags (?:.*/)?v?(\d.*)\.tar\.gz
